<?php

namespace App\Repositories;

use App\Models\ConsumableConsumpation;
use App\Repositories\BaseRepository;

/**
 * Class ConsumableConsumpationRepository
 * @package App\Repositories
 * @version December 19, 2019, 4:40 am UTC
*/

class ConsumableConsumpationRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ConsumableConsumpation::class;
    }
}
